net.minecraft.entity.boss

## Class EntityWither

- java.lang.Object
- - net.minecraft.entity.Entity
  - - net.minecraft.entity.EntityLiving
    - - net.minecraft.entity.EntityCreature
      - - net.minecraft.entity.monster.EntityMob
        - - net.minecraft.entity.boss.EntityWither

- All Implemented Interfaces:
    IBossDisplayData, IRangedAttackMob, IMob, IAnimals

      public class EntityWither
      extends EntityMob
      implements IBossDisplayData, IRangedAttackMob

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.entity.EntityLiving

      `arrowHitTimer, attackedAtYaw, attackTime, cameraPitch, carryoverDamage, deathTime, experienceValue, field_70730_aX, field_70731_aW, field_70769_ao, field_70770_ap, hurtTime, isJumping, isSwingInProgress, jumpMovementFactor, landMovementFactor, limbSwing, limbYaw, livingSoundTime, maxHurtResistantTime, maxHurtTime, pickUpLootProability, prevCameraPitch, prevHealth, prevLimbYaw, prevRenderYawOffset, prevRotationYawHead, prevSwingProgress, renderYawOffset, rotationYawHead, swingProgress, swingProgressInt, targetTasks, tasks`

    - ### Fields inherited from class net.minecraft.entity.Entity

      `addedToChunk, boundingBox, capturedDrops, captureDrops, chunkCoordX, chunkCoordY, chunkCoordZ, cloakUrl, dimension, distanceWalkedModified, entityCollisionReduction, entityId, fallDistance, field_70135_K, field_82151_R, field_98038_p, fireResistance, height, hurtResistantTime, ignoreFrustumCheck, isAirBorne, isCollided, isCollidedHorizontally, isCollidedVertically, isDead, lastTickPosX, lastTickPosY, lastTickPosZ, motionX, motionY, motionZ, myEntitySize, noClip, onGround, posX, posY, posZ, prevDistanceWalkedModified, preventEntitySpawning, prevPosX, prevPosY, prevPosZ, prevRotationPitch, prevRotationYaw, renderDistanceWeight, riddenByEntity, ridingEntity, rotationPitch, rotationYaw, serverPosX, serverPosY, serverPosZ, skinUrl, stepHeight, ticksExisted, timeUntilPortal, velocityChanged, width, worldObj, yOffset, ySize`

    - ### Fields inherited from interface net.minecraft.entity.monster.IMob

      `mobSelector`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityWither(World par1World)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPotionEffect(PotionEffect par1PotionEffect)` adds a PotionEffect to the entity
    `boolean` | `attackEntityFrom(DamageSource par1DamageSource, int par2)` Called when the entity is attacked.
    `void` | `attackEntityWithRangedAttack(EntityLiving par1EntityLiving, float par2)` Attack the specified entity using a ranged attack.
    `boolean` | `canBeCollidedWith()` Returns true if other Entities should be prevented from moving through this Entity.
    `void` | `func_82206_m()`
    `float` | `func_82207_a(int par1)`
    `float` | `func_82210_r(int par1)`
    `void` | `func_82211_c(int par1, int par2)`
    `int` | `func_82212_n()`
    `void` | `func_82215_s(int par1)`
    `int` | `getBrightnessForRender(float par1)`
    `EnumCreatureAttribute` | `getCreatureAttribute()` Get this Entity's EnumCreatureAttribute
    `int` | `getDragonHealth()` Returns the health points of the dragon.
    `int` | `getMaxHealth()`
    `float` | `getShadowSize()`
    `String` | `getTexture()`
    `int` | `getTotalArmorValue()` Returns the current armor value as determined by a call to InventoryPlayer.getTotalArmorValue
    `int` | `getWatchedTargetId(int par1)` Returns the target entity ID if present, or -1 if not @param par1 The target offset, should be from 0-2
    `boolean` | `isArmored()` Returns whether the wither is armored with its boss armor or not by checking whether its health is below half of its maximum.
    `void` | `mountEntity(Entity par1Entity)` Called when a player mounts an entity.
    `void` | `onLivingUpdate()` Called frequently so the entity can update its state every tick as required.
    `void` | `readEntityFromNBT(NBTTagCompound par1NBTTagCompound)` (abstract) Protected helper method to read subclass entity data from NBT.
    `void` | `setInWeb()` Sets the Entity inside a web block.
    `void` | `writeEntityToNBT(NBTTagCompound par1NBTTagCompound)` (abstract) Protected helper method to write subclass entity data to NBT.

    - ### Methods inherited from class net.minecraft.entity.monster.EntityMob

      `attackEntityAsMob, getAttackStrength, getBlockPathWeight, getCanSpawnHere, onUpdate`

    - ### Methods inherited from class net.minecraft.entity.EntityCreature

      `getEntityToAttack, getSpeedModifier, hasPath, setPathToEntity, setTarget`

    - ### Methods inherited from class net.minecraft.entity.EntityLiving

      `canAttackClass, canBePushed, canBeSteered, canBreatheUnderwater, canEntityBeSeen, canPickUpLoot, clearActivePotions, curePotionEffects, detachHome, eatGrassBonus, faceEntity, func_82143_as, func_94056_bM, func_94057_bL, func_94058_c, func_94059_bO, func_94060_bK, func_94061_f, func_94062_bN, func_96120_a, getActivePotionEffect, getActivePotionEffects, getAge, getAIMoveSpeed, getAITarget, getArmorItemForSlot, getArmorPosition, getArrowCountInEntity, getAttackTarget, getCurrentArmor, getCurrentItemOrArmor, getEntityName, getEntitySenses, getEyeHeight, getHealth, getHeldItem, getHomePosition, getItemIcon, getJumpHelper, getLastActiveItems, getLastAttackingEntity, getLook, getLookHelper, getLookVec, getMaximumHomeDistance, getMaxSpawnedInChunk, getMoveHelper, getNavigator, getPosition, getRenderSizeModifier, getRNG, getRotationYawHead, getSwingProgress, getTalkInterval, getVerticalFaceSpeed, handleHealthUpdate, hasHome, heal, initCreature, isBlocking, isChild, isEntityAlive, isEntityUndead, isOnLadder, isPlayerSleeping, isPotionActive, isPotionActive, isPotionApplicable, isWithinHomeDistance, isWithinHomeDistanceCurrentPosition, knockBack, moveEntityWithHeading, onDeath, onEntityUpdate, onItemPickup, performHurtAnimation, playLivingSound, rayTrace, removePotionEffect, removePotionEffectClient, renderBrokenItemStack, setAIMoveSpeed, setArrowCountInEntity, setAttackTarget, setCanPickUpLoot, setCurrentItemOrArmor, setEntityHealth, setHomeArea, setJumping, setLastAttackingEntity, setMoveForward, setPositionAndRotation2, setPositionAndUpdate, setRevengeTarget, setRotationYawHead, shouldRiderFaceForward, spawnExplosionParticle, swingItem, updateRidden`

    - ### Methods inherited from class net.minecraft.entity.Entity

      `addEntityID, addToPlayerScore, addVelocity, applyEntityCollision, canAttackWithItem, canRenderOnFire, copyDataFrom, doesEntityNotTriggerPressurePlate, dropItem, dropItemWithOffset, entityDropItem, equals, extinguish, func_82146_a, func_82149_j, func_85029_a, func_85031_j, func_96090_ax, func_96091_a, func_96092_aw, func_98034_c, func_98035_c, getAir, getBoundingBox, getBrightness, getCollisionBorderSize, getCollisionBox, getDataWatcher, getDistance, getDistanceSq, getDistanceSqToEntity, getDistanceToEntity, getEntityData, getExtendedProperties, getHasActivePotion, getMaxInPortalTime, getMountedYOffset, getParts, getPersistentID, getPickedResult, getPortalCooldown, getTeleportDirection, getYOffset, handleLavaMovement, handleWaterMovement, hashCode, interact, isBurning, isCreatureType, isEating, isEntityEqual, isEntityInsideOpaqueBlock, isEntityInvulnerable, isImmuneToFire, isInRangeToRenderDist, isInRangeToRenderVec3D, isInsideOfMaterial, isInWater, isOffsetPositionInLiquid, isRiding, isSneaking, isSprinting, isWet, moveEntity, moveFlying, onCollideWithPlayer, onKillEntity, onStruckByLightning, playSound, readFromNBT, registerExtendedProperties, resetEntityId, setAir, setAngles, setDead, setEating, setFire, setHasActivePotion, setInPortal, setLocationAndAngles, setPosition, setPositionAndRotation, setSneaking, setSprinting, setVelocity, setWorld, shouldRenderInPass, shouldRiderSit, toString, travelToDimension, unmountEntity, updateCloak, updateRiderPosition, writeToNBT`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface net.minecraft.entity.boss.IBossDisplayData

      `getEntityName`

- - ### Constructor Detail

    - #### EntityWither

          public EntityWither(World par1World)

  - ### Method Detail

    - #### writeEntityToNBT

          public void writeEntityToNBT(NBTTagCompound par1NBTTagCompound)

      (abstract) Protected helper method to write subclass entity data to NBT.
      Overrides:
        `writeEntityToNBT` in class `EntityLiving`

    - #### readEntityFromNBT

          public void readEntityFromNBT(NBTTagCompound par1NBTTagCompound)

      (abstract) Protected helper method to read subclass entity data from NBT.
      Overrides:
        `readEntityFromNBT` in class `EntityLiving`

    - #### getShadowSize

          public float getShadowSize()

      Overrides:
        `getShadowSize` in class `Entity`

    - #### getTexture

          public String getTexture()

      Overrides:
        `getTexture` in class `EntityLiving`

    - #### onLivingUpdate

          public void onLivingUpdate()

      Called frequently so the entity can update its state every tick as required. For example, zombies and skeletons use this to react to sunlight and start to burn.
      Overrides:
        `onLivingUpdate` in class `EntityMob`

    - #### func_82206_m

          public void func_82206_m()

    - #### setInWeb

          public void setInWeb()

      Sets the Entity inside a web block.
      Overrides:
        `setInWeb` in class `Entity`

    - #### getTotalArmorValue

          public int getTotalArmorValue()

      Returns the current armor value as determined by a call to InventoryPlayer.getTotalArmorValue
      Overrides:
        `getTotalArmorValue` in class `EntityLiving`

    - #### attackEntityWithRangedAttack

          public void attackEntityWithRangedAttack(EntityLiving par1EntityLiving,
                                          float par2)

      Attack the specified entity using a ranged attack.
      Specified by:
        `attackEntityWithRangedAttack` in interface `IRangedAttackMob`

    - #### attackEntityFrom

          public boolean attackEntityFrom(DamageSource par1DamageSource,
                                 int par2)

      Called when the entity is attacked.
      Overrides:
        `attackEntityFrom` in class `EntityMob`

    - #### getBrightnessForRender

          public int getBrightnessForRender(float par1)

      Overrides:
        `getBrightnessForRender` in class `Entity`

    - #### canBeCollidedWith

          public boolean canBeCollidedWith()

      Returns true if other Entities should be prevented from moving through this Entity.
      Overrides:
        `canBeCollidedWith` in class `EntityLiving`

    - #### getDragonHealth

          public int getDragonHealth()

      Returns the health points of the dragon.
      Specified by:
        `getDragonHealth` in interface `IBossDisplayData`

    - #### addPotionEffect

          public void addPotionEffect(PotionEffect par1PotionEffect)

      adds a PotionEffect to the entity
      Overrides:
        `addPotionEffect` in class `EntityLiving`

    - #### getMaxHealth

          public int getMaxHealth()

      Specified by:
        `getMaxHealth` in interface `IBossDisplayData`
      Specified by:
        `getMaxHealth` in class `EntityLiving`

    - #### func_82207_a

          public float func_82207_a(int par1)

    - #### func_82210_r

          public float func_82210_r(int par1)

    - #### func_82212_n

          public int func_82212_n()

    - #### func_82215_s

          public void func_82215_s(int par1)

    - #### getWatchedTargetId

          public int getWatchedTargetId(int par1)

      Returns the target entity ID if present, or -1 if not @param par1 The target offset, should be from 0-2

    - #### func_82211_c

          public void func_82211_c(int par1,
                          int par2)

    - #### isArmored

          public boolean isArmored()

      Returns whether the wither is armored with its boss armor or not by checking whether its health is below half of its maximum.

    - #### getCreatureAttribute

          public EnumCreatureAttribute getCreatureAttribute()

      Get this Entity's EnumCreatureAttribute
      Overrides:
        `getCreatureAttribute` in class `EntityLiving`

    - #### mountEntity

          public void mountEntity(Entity par1Entity)

      Called when a player mounts an entity. e.g. mounts a pig, mounts a boat.
      Overrides:
        `mountEntity` in class `Entity`